IRPCSharedLinks.GetSharedLinkRecipients

View as Markdown

Vault API / standard write session or assertion returns metadata structure version

Lists the visitors (email recipients) of an external or visitor link.

ServiceShared links MFiles.IRPCSharedLinks
gRPC method/MFiles.IRPCSharedLinks/GetSharedLinkRecipients
HTTP (mf-http-grpc)POST /grpc/v1/get-shared-link-recipients
RequestGetSharedLinkRecipientsRequest
ResponseGetSharedLinkRecipientsResponse
Book and levelVault API, standard
Kindwrite
SessionRequired: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata).
Idempotentno
Returns metadata structure versionyes (in the mfiles-metadata-version-bin trailer)
Streamingnone (unary)

Remarks

Request: GetSharedLinkRecipientsRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
access_keystringThe access key of the link.

Response: GetSharedLinkRecipientsResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
recipients[]repeated SharedLinkRecipientThe recipients, with their expiration time and access type.
recipients[].emailstringThe recipient email.
recipients[].access_timegoogle.protobuf.TimestampThe access time for the shared link. Is set by the server.
recipients[].created_by_userint32The creator of this shared Link.
recipients[].shared_link_notificationSharedLinkNotificationShared link notification type.Values: SHARED_LINK_NOTIFICATION_NONE (0), SHARED_LINK_NOTIFICATION_ALWAYS (1).
recipients[].expires_at_utcgoogle.protobuf.TimestampThe expiration time for the shared link. Use FILETIME_ZERO to indicate no expiration time.
recipients[].external_shared_link_access_typeExternalSharedLinkAccessTypeThe access type of the recipient.Values: EXTERNAL_SHARED_LINK_ACCESS_TYPE_UNINITIALIZED (0), EXTERNAL_SHARED_LINK_ACCESS_TYPE_DOWNLOAD (1), EXTERNAL_SHARED_LINK_ACCESS_TYPE_PREVIEW (2), EXTERNAL_SHARED_LINK_ACCESS_TYPE_EDIT (3).
recipients[].created_by_user_namestringThe user who created the shared link.